I have a sles 11.3 server that is not updated beyond the sles11.3 distribution iso. I have kernel 3.0.76-0.11-default. I need to get to kernel 3.0.101-0.47.71.1 to have supported fiber channel drivers. I have downloaded the rpm's for the kernel, included them with all the rpm's from the base iso and build a zypper repository.
When I try to update the kernel via zipper:
The following NEW packages are going to be installed:
kernel-default kernel-default-base

The following packages are not supported by their vendor:
kernel-default kernel-default-base

I seem to missing something. SUSE suggests I register the server and do updates over the Internet, which will just not be allowed.
Is there a whole update or something I can download? Am I just doing this wrong?